<html devsite><head>
    <title>Бюллетень по безопасности Android – август 2016 г.</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>Опубликовано 1 августа 2016 г. | Обновлено 21 октября 2016 г.</em></p>
<p>
В этом бюллетене содержится информация об уязвимостях в защите устройств Android. К его выходу мы выпустили автоматическое обновление системы безопасности для устройств Nexus и опубликовали образы встроенного ПО Nexus на <a href="https://developers.google.com/android/nexus/images">сайте для разработчиков</a>. Все актуальные проблемы,
перечисленные здесь, устранены в исправлении от 5 августа 2016 года
или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/nexus/answer/4457705#nexus_devices">Справочном центре</a>.
</p>
<p>
Мы сообщили партнерам об уязвимостях 6 июля 2016 года или ранее. Исправления проблем загружены в хранилище Android Open Source Project (AOSP). В этом бюллетене также приведены ссылки на исправления вне AOSP.
</p>
<p>
Наиболее серьезная из уязвимостей имеет критический уровень и позволяет удаленно выполнять код на пораженном устройстве (например, при работе с электронной почтой, просмотре сайтов в Интернете или обработке медиафайлов MMS). <a href="/security/overview/updates-resources.html#severity">Уровень серьезности</a> зависит от того, какой ущерб будет нанесен устройству при атаке с использованием уязвимости, если средства защиты будут отключены разработчиком или взломаны.
</p>
<p>
У нас нет информации о том, что обнаруженные уязвимости эксплуатировались. В разделе <a href="#mitigations">Предотвращение атак</a> описывается, как <a href="/security/enhancements/index.html">платформа безопасности</a> и средства защиты сервисов, например SafetyNet, помогают снизить вероятность атак на Android.
</p>
<p>
Мы рекомендуем всем пользователям установить перечисленные здесь обновления.
</p>
<h2 id="announcements">Объявления</h2>
<ul>
<li>Уязвимость CVE-2016-3856 изменена на CVE-2016-2060.</li>
<li>Мы включили в этот бюллетень сведения о двух обновлениях, чтобы помочь нашим партнерам как можно скорее устранить уязвимости, затрагивающие все устройства Android. Дополнительную информацию вы найдете в разделе <a href="#common-questions-and-answers">Часто задаваемые вопросы</a>.
<ul>
 <li><strong>2016-08-01</strong>: частичное обновление системы безопасности, в котором
исправлены все уязвимости уровня 2016-08-01 и более ранние.</li>
 <li><strong>2016-08-05</strong>: полное обновление системы безопасности, в котором исправлены все уязвимости уровней 2016-08-01 и 2016-08-05, а также более ранние.</li>
</ul>
</li>
<li>На поддерживаемые устройства Nexus будет установлено единое автоматическое обновление системы безопасности от 5 августа 2016 года.</li>
</ul>
<h2 id="mitigations">Предотвращение атак</h2>
<p>
Ниже рассказывается, как <a href="/security/enhancements/index.html">платформа безопасности</a> и средства защиты сервисов, например SafetyNet, позволяют снизить вероятность атак на Android.
</p>
<ul>
<li>Использование многих уязвимостей затрудняется в новых
версиях Android, поэтому мы рекомендуем всем пользователям своевременно обновлять систему.</li>
<li>Команда, отвечающая за безопасность Android, активно отслеживает злоупотребления с помощью <a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_2015_Report_Final.pdf">Проверки приложений и SafetyNet</a>. Эти сервисы предупреждают пользователя об установке <a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_PHA_classifications.pdf">потенциально опасных приложений</a>. Проверка приложений включена по умолчанию на всех устройствах с <a href="http://www.android.com/gms">мобильными сервисами Google</a>. Она особенно важна, если пользователь устанавливает ПО из сторонних источников. Хотя в
Google Play инструменты для рутинга запрещены,
они могут встречаться в других магазинах. Если пользователь решает
установить такое приложение, Проверка предупреждает об этом. Кроме того, она пытается идентифицировать известное вредоносное ПО, использующее уязвимость для повышения привилегий, и блокировать его установку. Если подобное ПО уже есть на устройстве, система уведомит об этом пользователя и попытается удалить приложение.</li>
<li>Приложения Google Hangouts и Messenger не передают медиафайлы таким процессам, как mediaserver, автоматически.</li>
</ul>
<h2 id="acknowledgements">Благодарности</h2>
<p>
Благодарим всех, кто помог обнаружить уязвимости:
</p>
<ul>
<li>Абхишек Арья, Оливер Чен и Мартин Барбелла из команды
безопасности Google Chrome: CVE-2016-3821, CVE-2016-3837.</li>
<li>Адам Доненфелд и другие сотрудники Check Point Software Technologies Ltd.: CVE-2016-2504.</li>
<li>Чиачи У (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>), Минцзянь Чжоу (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>) и Сюйсянь Цзян из <a href="http://c0reteam.org">C0RE Team</a>: CVE-2016-3844.</li>
<li>Чиачи У (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>), Юань-Цун Ло (<a href="mailto:computernik@gmail.com">computernik@gmail.com</a>) и Сюйсянь Цзян из <a href="http://c0reteam.org">C0RE Team</a>: CVE-2016-3857.</li>
<li>Дэвид Бенджамин и Кенни Рут из Google: CVE-2016-3840.</li>
<li>Давэй Пэн (<a href="http://weibo.com/u/5622360291">Vinc3nt4H</a>) из <a href="http://jaq.alibaba.com">Alibaba Mobile Security Team</a>: CVE-2016-3822.</li>
<li>Ди Шэнь (<a href="https://twitter.com/returnsme">@returnsme</a>) из KeenLab (<a href="https://twitter.com/keen_lab">@keen_lab</a>), Tencent: CVE-2016-3842.</li>
<li>Диана Хэкборн из Google: CVE-2016-2497.</li>
<li>Дмитрий Вьюков из команды Google Dynamic Tools: CVE-2016-3841.</li>
<li>Гэнцзя Чэнь (<a href="https://twitter.com/chengjia4574">@chengjia4574</a>) и pjf (<a href="http://weibo.com/jfpan">weibo.com/jfpan</a>) из IceSword Lab, <a href="http://www.360.com">Qihoo 360 Technology Co. Ltd.</a>: CVE-2016-3852.</li>
<li>Гуан Гун (龚广) (<a href="https://twitter.com/oldfresher">@oldfresher</a>) из Alpha Team, <a href="http://www.360.com">Qihoo 360 Technology Co. Ltd.</a>: CVE-2016-3834.</li>
<li>Кай Лу (<a href="https://twitter.com/K3vinLuSec">@K3vinLuSec</a>) из Fortinet's FortiGuard Labs: CVE-2016-3820.</li>
<li>Кандала Шиварам (редди), DS и Uppi: CVE-2016-3826.</li>
<li>Минцзянь Чжоу (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>), Чиачи У (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) и Сюйсянь Цзян из <a href="http://c0reteam.org">C0RE Team</a>: CVE-2016-3823, CVE-2016-3835, CVE-2016-3824, CVE-2016-3825.</li>
<li>Нейтан Крэнделл (<a href="https://twitter.com/natecray">@natecray</a>) из Tesla Motors Product Security Team: CVE-2016-3847, CVE-2016-3848.</li>
<li>Пэн Сяо, Чэнмин Ян, Нин Ю, Чао Ян и Ян Сун из Alibaba
Mobile Security Group: CVE-2016-3845.</li>
<li>Питер Пи (<a href="https://twitter.com/heisecode">@heisecode</a>) из Trend Micro: CVE-2016-3849.</li>
<li>Цяньвэй Ху (<a href="mailto:rayxcp@gmail.com">rayxcp@gmail.com</a>) из <a href="http://www.wooyun.org/">WooYun TangLab</a>: CVE-2016-3846.</li>
<li>Цидань Хэ (<a href="https://twitter.com/flanker_hqd">@flanker_hqd</a>) из KeenLab (<a href="https://twitter.com/keen_lab">@keen_lab</a>), Tencent: CVE-2016-3832.</li>
<li>Шарвил Нанавати из Google: CVE-2016-3839.</li>
<li>Синдзё Парк (<a href="https://twitter.com/ad_ili_rai">@ad_ili_rai</a>) и Алтаф Шаик из <a href="http://www.isti.tu-berlin.de/security_in_telecommunications">Security in Telecommunications</a>: CVE-2016-3831.</li>
<li>Том Rootjunky: CVE-2016-3853.</li>
<li>Василий Васильев: CVE-2016-3819.</li>
<li>Вэйчао Сунь (<a href="https://twitter.com/sunblate">@sunblate</a>) из Alibaba Inc.: CVE-2016-3827, CVE-2016-3828, CVE-2016-3829.</li>
<li>Виш У (<a href="http://weibo.com/wishlinux">吴潍浠</a>) (<a href="https://twitter.com/wish_wu">@wish_wu</a>) из <a href="http://blog.trendmicro.com/trendlabs-security-intelligence/author/wishwu/">Trend Micro Inc.</a>: CVE-2016-3843.</li>
<li>Юнкэ Ван (<a href="https://twitter.com/rudykewang">@Rudykewang</a>) из Xuanwu LAB, Tencent: CVE-2016-3836.</li>
</ul>
<p>
Благодарим Дэниела Микея из Copperhead Security, Джеффа Вандера Ступа
и Ябиня Цуй из Google за вклад в разработку обновлений для платформы, которые
защищают ее от класса уязвимостей, подобных CVE-2016-3843. Система защиты
основана на разработках Брэда Шпенглера из Grsecurity.
</p>
<h2 id="2016-08-01-details">
Описание уязвимостей (обновление системы безопасности 2016-08-01)</h2>
<p>
В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2016-08-01: описание и обоснование серьезности, таблицу с CVE, ссылками, уровнем серьезности, уязвимыми устройствами Nexus и версиями AOSP (при наличии), а также датой сообщения об ошибке. Где возможно, мы приведем основную ссылку на опубликованное
изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.
</p>

<h3 id="remote-code-execution-vulnerability-in-mediaserver">
Удаленное выполнение кода через mediaserver</h3>
<p>
Уязвимость позволяет злоумышленнику с помощью специально созданного файла нарушить целостность информации в памяти при обработке медиафайлов и данных. Проблеме присвоен критический уровень серьезности из-за возможности удаленного выполнения кода в контексте процесса mediaserver. У него есть доступ к аудио- и видеопотокам, а также к привилегиям, закрытым для сторонних приложений.
</p>
<p>
Уязвимая функция является основной составляющей ОС. Многие приложения позволяют контенту, особенно MMS-сообщениям и воспроизводимым в браузере медиафайлам, дистанционно обращаться к ней.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3819</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/590d1729883f700ab905cdc9ad850f3ddd7e1f56">
       A-28533562</a></td>
   <td>Критический</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>2 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3820</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/a78887bcffbc2995cf9ed72e0697acf560875e9e">
       A-28673410</a></td>
   <td>Критический</td>
   <td>Все устройства</td>
   <td>6.0, 6.0.1</td>
   <td>6 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3821</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/42a25c46b844518ff0d0b920c20c519e1417be69">
       A-28166152</a></td>
   <td>Критический</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>

<h3 id="remote-code-execution-vulnerability-in-libjhead">
Удаленное выполнение кода через libjhead</h3>
<p>
Уязвимость позволяет злоумышленнику выполнять произвольный код в контексте непривилегированного процесса с помощью специально созданного файла. Проблеме присвоен высокий уровень серьезности из-за возможности удаленного выполнения кода в ПО, которое использует эту библиотеку.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3822</td>
   <td><a href="https://android.googlesource.com/platform/external/jhead/+/bae671597d47b9e5955c4cb742e468cebfd7ca6b">
       A-28868315</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-mediaserver">
Повышение привилегий через mediaserver</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен высокий уровень серьезности, поскольку с ее помощью можно получить привилегии, недоступные сторонним приложениям.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3823</td>
   <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/7558d03e6498e970b761aa44fff6b2c659202d95">
       A-28815329</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>17 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3824</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/b351eabb428c7ca85a34513c64601f437923d576">
       A-28816827</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>17 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3825</td>
   <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/d575ecf607056d8e3328ef2eb56c52e98f81e87d">
       A-28816964</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>17 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3826</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/9cd8c3289c91254b3955bd7347cf605d6fa032c6">
       A-29251553</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>9 июня 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-mediaserver">
Отказ в обслуживании в mediaserver</h3>
<p>
Уязвимость позволяет злоумышленнику выполнять перезагрузку или вызывать зависание устройства с помощью специально созданного файла. Проблеме присвоен высокий уровень серьезности, поскольку она приводит к временному отказу в обслуживании.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3827</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/a4567c66f4764442c6cb7b5c1858810194480fb5">
       A-28816956</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>6.0.1</td>
   <td>16 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3828</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/7554755536019e439433c515eeb44e701fb3bfb2">
       A-28835995</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>6.0, 6.0.1</td>
   <td>17 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3829</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/326fe991a4b7971e8aeaf4ac775491dd8abd85bb">
       A-29023649</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>6.0, 6.0.1</td>
   <td>27 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3830</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/8e438e153f661e9df8db0ac41d587e940352df06">
       A-29153599</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-system-clock">
Отказ в обслуживании в системных часах</h3>
<p>
Уязвимость позволяет злоумышленнику вызвать сбой в работе устройства. Проблеме присвоен высокий уровень серьезности, поскольку она приводит к временному отказу в обслуживании.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3831</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/opt/telephony/+/f47bc301ccbc5e6d8110afab5a1e9bac1d4ef058">
       A-29083635</a></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>31 мая 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-framework-apis">
Повышение привилегий через Framework API</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО обходить защиту ОС,
обеспечивающую раздельное хранение данных приложений. Проблеме присвоен средний уровень серьезности, поскольку с ее помощью можно получить несанкционированный доступ к данным.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3832</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/e7cf91a198de995c7440b3b64352effd2e309906">
       A-28795098</a></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>15 мая 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-shell">
Повышение привилегий через оболочку</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО обходить ограничения
устройства (например, для пользователей). Из-за этого проблеме присвоен средний уровень серьезности.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="18%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3833</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/01875b0274e74f97edf6b0d5c92de822e0555d03">A-29189712</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/4e4743a354e26467318b437892a9980eb9b8328a">2</a>]</td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-openssl">
Раскрытие информации через OpenSSL</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать
несанкционированный доступ к данным. Из-за этого проблеме присвоен средний уровень серьезности.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-2842</td>
   <td>A-29060514</td>
   <td>Нет*</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1</td>
   <td>29 марта 2016 г.</td>
  </tr>
</tbody></table>
<p>*Эта уязвимость не затрагивает поддерживаемые устройства Nexus, на которых установлены все доступные обновления.</p>

<h3 id="information-disclosure-vulnerability-in-camera-apis">
Раскрытие информации через API камеры</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к структурам данных. Из-за этого проблеме присвоен средний уровень серьезности.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3834</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/1f24c730ab6ca5aff1e3137b340b8aeaeda4bdbc">
       A-28466701</a></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>28 апреля 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-mediaserver">
Раскрытие информации через mediaserver</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к конфиденциальным данным. Из-за этого проблеме присвоен средний уровень серьезности.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3835</td>
   <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/7558d03e6498e970b761aa44fff6b2c659202d95">
       A-28920116</a></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>23 мая 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-surfaceflinger">
Раскрытие информации через SurfaceFlinger</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к конфиденциальным данным. Из-за этого проблеме присвоен средний уровень серьезности.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3836</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/native/+/3bcf0caa8cca9143443814b36676b3bae33a4368">
       A-28592402</a></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>4 мая 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-wi-fi">
Раскрытие информации через Wi-Fi</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к конфиденциальным данным. Из-за этого проблеме присвоен средний уровень серьезности.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3837</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/opt/net/wifi/+/a209ff12ba9617c10550678ff93d01fb72a33399">
       A-28164077</a></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-system-ui">
Отказ в обслуживании в интерфейсе системы</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО отключать функцию вызова экстренной службы по номеру 911 с заблокированного экрана. Проблеме присвоен средний уровень серьезности, поскольку она приводит к отказу в обслуживании для одной из важнейших функций.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3838</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/468651c86a8adb7aa56c708d2348e99022088af3">
       A-28761672</a></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>6.0, 6.0.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-bluetooth">
Отказ в обслуживании в Bluetooth</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО отключать функцию вызова экстренной службы по номеру 911 с устройства Bluetooth. Проблеме присвоен средний уровень серьезности, поскольку она приводит к отказу в обслуживании для одной из важнейших функций.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3839</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/472271b153c5dc53c28beac55480a8d8434b2d5c">
       A-28885210</a></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>
<h2 id="2016-08-05-details">
Описание уязвимостей (обновление системы безопасности 2016-08-05)</h2>
<p>
В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2016-08-05: описание и обоснование серьезности, таблицу с CVE, ссылками, уровнем серьезности, уязвимыми устройствами Nexus и версиями AOSP (при наличии), а также датой сообщения об ошибке. Где возможно, мы приведем основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.
</p>

<h3 id="remote-code-execution-vulnerability-in-qualcomm-wi-fi-driver">
Удаленное выполнение кода через Wi-Fi-драйвер Qualcomm</h3>
<p>
Уязвимость позволяет злоумышленнику выполнять произвольный код в контексте ядра.
Проблеме присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2014-9902</td>
   <td>A-28668638
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//platform/vendor/qcom-opensource/wlan/prima/commit/?id=3b1c44a3a7129dc25abe2c23543f6f66c59e8f50">
QC-CR#553937</a><br />
<a href="https://us.codeaurora.org/cgit/quic/la//platform/vendor/qcom-opensource/wlan/prima/commit/?id=3b1c44a3a7129dc25abe2c23543f6f66c59e8f50">
QC-CR#553941</a>
</p>
</td>
   <td>Критический</td>
   <td>Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
</tbody></table>

<h3 id="remote-code-execution-vulnerability-in-conscrypt">Удаленное выполнение кода через Conscrypt</h3>
<p>
Уязвимость позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса.
Из-за этого проблеме присвоен высокий уровень серьезности.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3840</td>
   <td><a href="https://android.googlesource.com/platform/external/conscrypt/+/5af5e93463f4333187e7e35f3bd2b846654aa214">
       A-28751153</a></td>
   <td>Критический</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-qualcomm-components">
Повышение привилегий через компоненты Qualcomm</h3>
<p>
В таблице ниже перечислены уязвимости системы безопасности, затрагивающие компоненты Qualcomm, в том числе загрузчик, драйвер камеры, символьный драйвер, сеть, аудиодрайвер и видеодрайвер.
</p>
<p>
Наиболее важным проблемам присвоен критический уровень серьезности, поскольку из-за них нарушается работа системы безопасности. Возможно, для устранения такой проблемы потребуется переустановить ОС.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2014-9863</td>
   <td>A-28768146
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=75eac48a48562f819f50eeff8369b296d89102d7">
QC-CR#549470</a>
</p>
</td>
   <td>Критический</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9864</td>
   <td>A-28747998
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=a1124defc680055e2f2a8c8e3da4a94ca2ec842e">
QC-CR#561841</a>
</p></td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>27 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9865</td>
   <td>A-28748271
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=e65a876a155de945e306f2726f3a557415e6044e">
QC-CR#550013</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>27 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9866</td>
   <td>A-28747684
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=8e6daae70422ad35146a87700e6634a747d1ff5d">
QC-CR#511358</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9867</td>
   <td>A-28749629
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=322c518689a7f820165ca4c5d6b750b02ac34665">
QC-CR#514702</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9868</td>
   <td>A-28749721
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=1f274b74c00187ba1c379971503f51944148b22f">
QC-CR#511976</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9869</td>
   <td>A-28749728
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=8d1f7531ff379befc129a6447642061e87562bca">QC-CR#514711</a> [<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=7a26934e4196b4aa61944081989189d59b108768">2</a>]
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9870</td>
   <td>A-28749743
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=4f57652fcd2dce7741f1ac6dc0417e2f265cd1de">
QC-CR#561044</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9871</td>
   <td>A-28749803
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=f615e40c706708f74cd826d5b19c63025f54c041">
QC-CR#514717</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9872</td>
   <td>A-28750155
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=fc787ebd71fa231cc7dd2a0d5f2208da0527096a">
QC-CR#590721</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9873</td>
   <td>A-28750726
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=ef29ae1d40536fef7fb95e4d5bb5b6b57bdf9420">
QC-CR#556860</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9874</td>
   <td>A-28751152
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=56ff68b1f93eaf22e5e0284648fd862dc08c9236">
QC-CR#563086</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 5X, Nexus 6P, Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9875</td>
   <td>A-28767589
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=b77c694b88a994d077316c157168c710696f8805">
QC-CR#483310</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9876</td>
   <td>A-28767796
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=7efd393ca08ac74b2e3d2639b0ad77da139e9139">
QC-CR#483408</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9877</td>
   <td>A-28768281
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=f0c0112a6189747a3f24f20210157f9974477e03">
QC-CR#547231</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9878</td>
   <td>A-28769208
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=96a62c1de93a44e6ca69514411baf4b3d67f6dee">
QC-CR#547479</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9879</td>
   <td>A-28769221
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=ecc8116e1befb3a764109f47ba0389434ddabbe4">
QC-CR#524490</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9880</td>
   <td>A-28769352
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=f2a3f5e63e15e97a66e8f5a300457378bcb89d9c">
QC-CR#556356</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9881</td>
   <td>A-28769368
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=ba3f404a10b3bb7e9c20440837df3cd35c5d0c4b">
QC-CR#539008</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9882</td>
   <td>A-28769546
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=3a4ebaac557a9e3fbcbab4561650abac8298a4d9">QC-CR#552329</a> [<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=0f6afe815b1b3f920f3502be654c848bdfe5ef38">2</a>]</p>
 </td>
   <td>Высокий</td>
   <td>Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9883</td>
   <td>A-28769912
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=cbf79a67348e48557c0d0bb9bc58391b3f84bc46">
QC-CR#565160</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9884</td>
   <td>A-28769920
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=f4948193c46f75e16d4382c4472485ab12b7bd17">
QC-CR#580740</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9885</td>
   <td>A-28769959
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=a1d5a4cbd5aa8656bc23b40c7cc43941e10f89c3">
QC-CR#562261</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9886</td>
   <td>A-28815575
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=80be0e249c906704085d13d4ae446f73913fc225">
QC-CR#555030</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9887</td>
   <td>A-28804057
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=b1bc773cf61265e0e3871b2e52bd6b3270ffc6c3">
QC-CR#636633</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>3 июля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9888</td>
   <td>A-28803642
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=f044936caab337a4384fbfe64a4cbae33c7e22a1">
QC-CR#642735</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>29 августа 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9889</td>
   <td>A-28803645
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit?id=f4e2f2d4ef58c88340774099dff3324ec8baa24a">
QC-CR#674712</a>
</p></td>
   <td>Высокий</td>
   <td>Nexus 5</td>
   <td>31 октября 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2015-8937</td>
   <td>A-28803962
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=c66202b9288cc4ab1c38f7c928fa1005c285c170">
QC-CR#770548</a>
</p>
</td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 6, Nexus 7 (2013)</td>
   <td>31 марта 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2015-8938</td>
   <td>A-28804030
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=51c39420e3a49d1a7f05a77c64369b7623088238">
QC-CR#766022</a></p></td>
   <td>Высокий</td>
   <td>Nexus 6</td>
   <td>31 марта 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2015-8939</td>
   <td>A-28398884
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=884cff808385788fa620833c7e2160a4b98a21da">
QC-CR#779021</a></p></td>
   <td>Высокий</td>
   <td>Nexus 7 (2013)</td>
   <td>30 апреля 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2015-8940</td>
   <td>A-28813987
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=e13ebd727d161db7003be6756e61283dce85fa3b">
QC-CR#792367</a></p></td>
   <td>Высокий</td>
   <td>Nexus 6</td>
   <td>30 апреля 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2015-8941</td>
   <td>A-28814502
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=d4d4d1dd626b21e68e78395bab3382c1eb04877f">
QC-CR#792473</a></p></td>
   <td>Высокий</td>
   <td>Nexus 6, Nexus 7 (2013)</td>
   <td>29 мая 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2015-8942</td>
   <td>A-28814652
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=9ec380c06bbd79493828fcc3c876d8a53fd3369f">
QC-CR#803246</a></p></td>
   <td>Высокий</td>
   <td>Nexus 6</td>
   <td>30 июня 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2015-8943</td>
   <td>A-28815158
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=ad376e4053b87bd58f62f45b6df2c5544bc21aee">
QC-CR#794217</a></p>
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=ad376e4053b87bd58f62f45b6df2c5544bc21aee">
QC-CR#836226</a></p></td>
   <td>Высокий</td>
   <td>Nexus 5</td>
   <td>11 сентября 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9891</td>
   <td>A-28749283
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=c10f03f191307f7114af89933f2d91b830150094">
QC-CR#550061</a></p></td>
   <td>Средний</td>
   <td>Nexus 5</td>
   <td>13 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9890</td>
   <td>A-28770207
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=14e0c8614d2715589583d8a95e33c422d110eb6f">
QC-CR#529177</a></p></td>
   <td>Средний</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>2 июня 2014 г.</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-networking-component">
Повышение привилегий через сетевой компонент ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2015-2686</td>
   <td>A-28759139
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4de930efc23b92ddf88ce91c405ee645fe6e27ea">
Upstream kernel</a></p></td>
   <td>Критический</td>
   <td>Все устройства</td>
   <td>23 марта 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3841</td>
   <td>A-28746669
<p>
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=45f6fad84cc305103b28d73482b344d7f5b76f39">
Upstream kernel</a></p></td>
   <td>Критический</td>
   <td>Все устройства</td>
   <td>3 декабря 2015 г.</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-qualcomm-gpu-driver">
Повышение привилегий через драйвер Qualcomm для графического процессора</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-2504</td>
   <td>A-28026365
       <p>QC-CR#1002974</p></td>
   <td>Критический</td>
   <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 7 (2013)</td>
   <td>5 апреля 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3842</td>
   <td>A-28377352
<p>
  QC-CR#1002974</p></td>
   <td>Критический</td>
   <td>Nexus 5X, Nexus 6, Nexus 6P</td>
   <td>25 апреля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation-of-privilege-vulnerability-in-qualcomm-performance-component">
Повышение привилегий через компонент производительности Qualcomm</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.
</p>
<p class="note">
<strong>Примечание.</strong> В этот бюллетень включено обновление на уровне платформы A-29119870, предназначенное для защиты от уязвимостей этого класса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3843</td>
   <td>A-28086229*
<p>
  QC-CR#1011071</p></td>
   <td>Критический</td>
   <td>Nexus 5X, Nexus 6P</td>
   <td>7 апреля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation-of-privilege-vulnerability-in-kernel">
Повышение привилегий через ядро</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Ей присвоен критический уровень серьезности, поскольку из-за нее нарушается работа системы безопасности. Возможно, для устранения проблемы потребуется переустановить ОС.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3857</td>
   <td>A-28522518*</td>
   <td>Критический</td>
   <td>Nexus 7 (2013)</td>
   <td>2 мая 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-memory-system">
Повышение привилегий через систему памяти ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2015-1593</td>
   <td>A-29577822
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4e7c22d447bb6d7e37bfe39ff658486ae78e8d77">
Upstream kernel</a></p></td>
   <td>Высокий</td>
   <td>Nexus Player</td>
   <td>13 февраля 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3672</td>
   <td>A-28763575
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8b8addf891de8a00e4d39fc32f93f7c5eb8feceb">
Upstream kernel</a></p></td>
   <td>Высокий</td>
   <td>Nexus Player</td>
   <td>25 марта 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-sound-component">
Повышение привилегий через звуковой компонент ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-2544</td>
   <td>A-28695438
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=3567eb6af614dac436c4b16a8d426f9faed639b3">
Upstream kernel</a></p></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>19 января 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-2546</td>
   <td>A-28694392
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=af368027a49a751d6ff4ee9e3f9961f35bb4fede">
Upstream kernel</a></p></td>
   <td>Высокий</td>
   <td>Pixel C</td>
   <td>19 января 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9904</td>
   <td>A-28592007
<p>
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6217e5ede23285ddfee10d2e4ba0cc2d4c046205">
Upstream kernel</a></p></td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6, Nexus 6P, Nexus 9, Nexus Player</td>
   <td>4 мая 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-file-system">
Повышение привилегий через файловую систему ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2012-6701</td>
   <td>A-28939037
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a70b52ec1aaeaf60f4739edb1b422827cb6f3893">
Upstream kernel</a></p></td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>2 марта 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-mediaserver">
Повышение привилегий через mediaserver</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса. Проблеме присвоен высокий уровень серьезности, поскольку из-за нее можно получить разрешения, недоступные сторонним приложениям.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3844</td>
   <td>A-28299517*
<p>
N-CVE-2016-3844</p></td>
   <td>Высокий</td>
   <td>Nexus 9, Pixel C</td>
   <td>19 апреля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3>Повышение привилегий через видеодрайвер ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3845</td>
   <td>A-28399876*</td>
   <td>Высокий</td>
   <td>Nexus 5</td>
   <td>20 апреля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation-of-privilege-vulnerability-in-serial-peripheral-interface-driver">
Повышение привилегий через драйвер SPI</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3846</td>
   <td>A-28817378*</td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6P</td>
   <td>17 мая 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation-of-privilege-vulnerability-in-nvidia-media-driver">
Повышение привилегий через медиадрайвер NVIDIA</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3847</td>
   <td>A-28871433*
<p>
N-CVE-2016-3847</p></td>
   <td>Высокий</td>
   <td>Nexus 9</td>
   <td>19 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3848</td>
   <td>A-28919417*
<p>
N-CVE-2016-3848</p></td>
   <td>Высокий</td>
   <td>Nexus 9</td>
   <td>19 мая 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation-of-privilege-vulnerability-in-ion-driver">
Повышение привилегий через драйвер ION</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3849</td>
   <td>A-28939740</td>
   <td>Высокий</td>
   <td>Pixel C</td>
   <td>24 мая 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation-of-privilege-vulnerability-in-qualcomm-bootloader">Повышение привилегий через загрузчик Qualcomm</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="26%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3850</td>
   <td>A-27917291
<p>
<a href="https://source.codeaurora.org/quic/la/kernel/lk/commit/?id=030371d45a9dcda4d0cc3c76647e753a1cc1b782">
QC-CR#945164</a></p></td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 5X, Nexus 6P, Nexus 7 (2013)</td>
   <td>28 марта 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-performance">
Повышение привилегий через подсистему производительности ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте ядра. Проблеме присвоен высокий уровень серьезности, поскольку она открывает злоумышленнику большую поверхность атаки.
</p>
<p class="note">
<strong>Примечание.</strong> Это обновление на уровне платформы, предназначенное для защиты от класса уязвимостей, подобных CVE-2016-3843 (A-28086229).
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3843</td>
   <td>A-29119870*</td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>6.0, 6.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation-of-privilege-vulnerability-in-lg-electronics-bootloader">
Повышение привилегий через загрузчик LG Electronics</h3>
<p>
Уязвимость позволяет вредоносному ПО выполнять произвольный код в контексте ядра.
Проблеме присвоен высокий уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3851</td>
   <td>A-29189941*</td>
   <td>Высокий</td>
   <td>Nexus 5X</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="information-disclosure-vulnerability-in-qualcomm-components">
Раскрытие информации через компоненты Qualcomm</h3>
<p>
В таблице ниже перечислены уязвимости системы безопасности, затрагивающие компоненты Qualcomm, в том числе, возможно, загрузчик, драйвер камеры, символьный драйвер, сеть, аудиодрайвер и видеодрайвер.
</p>
<p>
Наиболее важным проблемам присвоен высокий уровень серьезности, поскольку они позволяют локальному вредоносному ПО получать несанкционированный доступ к конфиденциальным данным.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2014-9892</td>
   <td>A-28770164
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=591b1f455c32206704cbcf426bb30911c260c33e">
QC-CR#568717</a></p></td>
   <td>Высокий</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>2 июня 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2015-8944</td>
   <td>A-28814213
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=e758417e7c31b975c862aa55d0ceef28f3cc9104">
QC-CR#786116</a></p></td>
   <td>Высокий</td>
   <td>Nexus 6, Nexus 7 (2013)</td>
   <td>30 апреля 2015 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9893</td>
   <td>A-28747914
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=bfc6eee5e30a0c20bc37495233506f4f0cc4991d">
QC-CR#542223</a></p></td>
   <td>Средний</td>
   <td>Nexus 5</td>
   <td>27 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9894</td>
   <td>A-28749708
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=83214431cd02674c70402b160b16b7427e28737f">
QC-CR#545736</a></p></td>
   <td>Средний</td>
   <td>Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9895</td>
   <td>A-28750150
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=cc4b26575602e492efd986e9a6ffc4278cee53b5">
QC-CR#570757</a></p></td>
   <td>Средний</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9896</td>
   <td>A-28767593
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=89f2bcf1ac860b0b380e579e9a8764013f263a7d">
QC-CR#551795</a></p></td>
   <td>Средний</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9897</td>
   <td>A-28769856
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=46135d80765cb70a914f02a6e7b6abe64679ec86">
QC-CR#563752</a></p></td>
   <td>Средний</td>
   <td>Nexus 5</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9898</td>
   <td>A-28814690
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=80be0e249c906704085d13d4ae446f73913fc225">
QC-CR#554575</a></p></td>
   <td>Средний</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>30 апреля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9899</td>
   <td>A-28803909
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=8756624acb1e090b45baf07b2a8d0ebde114000e">
QC-CR#547910</a></p></td>
   <td>Средний</td>
   <td>Nexus 5</td>
   <td>3 июля 2014 г.</td>
  </tr>
  <tr>
   <td>CVE-2014-9900</td>
   <td>A-28803952
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=63c317dbee97983004dffdd9f742a20d17150071">
QC-CR#570754</a></p></td>
   <td>Средний</td>
   <td>Nexus 5, Nexus 7 (2013)</td>
   <td>8 августа 2014 г.</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-kernel-scheduler">
Раскрытие информации через планировщик ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к конфиденциальным данным.
Из-за этого проблеме присвоен высокий уровень серьезности.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2014-9903</td>
   <td>A-28731691
<p>
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4efbc454ba68def5ef285b26ebfcfdb605b52755">
Upstream kernel</a></p></td>
   <td>Высокий</td>
   <td>Nexus 5X, Nexus 6P</td>
   <td>21 февраля 2014 г.</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-mediatek-wi-fi-driver-device-specific">
Раскрытие информации через Wi-Fi-драйвер MediaTek (уязвимость устройства)</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать
несанкционированный доступ к конфиденциальным данным. Из-за этого
проблеме присвоен высокий уровень серьезности.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3852</td>
   <td>A-29141147*
<p>
  M-ALPS02751738</p></td>
   <td>Высокий</td>
   <td>Android One</td>
   <td>12 апреля 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="information-disclosure-vulnerability-in-usb-driver">Раскрытие информации через USB-драйвер</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к конфиденциальным данным. Из-за этого проблеме присвоен высокий уровень серьезности.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-4482</td>
   <td>A-28619695
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=681fef8380eb818c0b845fca5d2ab1dcbab114ee">
Upstream kernel</a></p></td>
   <td>Высокий</td>
   <td>Все устройства</td>
   <td>3 мая 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-qualcomm-components">
Отказ в обслуживании в компонентах Qualcomm</h3>
<p>
В таблице ниже перечислены уязвимости системы безопасности, затрагивающие компоненты Qualcomm, в том числе, возможно, Wi-Fi-драйвер.
</p>
<p>
Наиболее важной проблеме присвоен высокий уровень серьезности, поскольку она позволяет злоумышленнику выполнять перезагрузку или вызывать зависание устройства.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2014-9901</td>
   <td>A-28670333
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//platform/vendor/qcom-opensource/wlan/prima/commit/?id=637f0f7931dd7265ac1c250dc2884d6389c66bde">
QC-CR#548711</a></p></td>
   <td>Высокий</td>
   <td>Nexus 7 (2013)</td>
   <td>31 марта 2014 г.</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-google-play-services">
Повышение привилегий через сервисы Google Play</h3>
<p>
Уязвимость позволяет злоумышленнику, в руки которого попало устройство, получить доступ к настройкам и выполнить их сброс. Проблеме присвоен средний уровень серьезности, поскольку из-за нее можно обойти защиту от сброса.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3853</td>
   <td>A-26803208*</td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>Нет</td>
   <td>4 мая 2016 г.</td>
  </tr>
</tbody></table>
<p>
*Исправление не опубликовано. Обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>

<h3 id="elevation-of-privilege-vulnerability-in-framework-apis-2">
Повышение привилегий через Framework API</h3>
<p>
Уязвимость позволяет предустановленному ПО при обновлении повысить приоритет фильтра намерений, не сообщая об этом пользователю. Проблеме присвоен средний уровень серьезности, поскольку из-за нее можно получить дополнительные разрешения на устройстве без явного согласия владельца.
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Обновленные версии AOSP</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-2497</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/a75537b496e9df71c74c1d045ba5569631a16298">
       A-27450489</a></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1</td>
   <td>Доступно только сотрудникам Google</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-kernel-networking-component">
Раскрытие информации через сетевой компонент ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-4486</td>
   <td>A-28620102
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=5f8e44741f9f216e33736ea4ec65ca9ac03036e6">
Upstream kernel</a></p></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>3 мая 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-kernel-sound-component">
Раскрытие информации через звуковой компонент ядра</h3>
<p>
Уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным. Проблеме присвоен средний уровень серьезности, поскольку уязвимость требует сначала нарушить защиту привилегированного процесса.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-4569</td>
   <td>A-28980557
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=cec8f96e49d9be372fdb0c3836dcf31ec71e457e">
Upstream kernel</a></p></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>9 мая 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-4578</td>
   <td>A-28980217
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=e4ec8cc8039a7063e24204299b462bd1383184a5">Upstream kernel</a> [<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=9a47e9cff994f37f7f0dbd9ae23740d0f64f9fe6">2</a>]</p></td>
   <td>Средний</td>
   <td>Все устройства</td>
   <td>11 мая 2016 г.</td>
  </tr>
</tbody></table>

<h3 id="vulnerabilities-in-qualcomm-components">
Уязвимости в компонентах Qualcomm</h3>
<p>
В таблице ниже перечислены уязвимости системы безопасности, затрагивающие компоненты Qualcomm, в том числе, возможно, загрузчик, драйвер камеры, символьный драйвер, сеть, аудиодрайвер и видеодрайвер.
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>Ссылки</th>
   <th>Уровень серьезности</th>
   <th>Обновленные устройства Nexus</th>
   <th>Дата сообщения об ошибке</th>
  </tr>
  <tr>
   <td>CVE-2016-3854</td>
   <td><a href="https://source.codeaurora.org/quic/la/kernel/msm/commit/?h=LA.AF.1.2.1_rb1.5&id=cc96def76dfd18fba88575065b29f2ae9191fafa">
   QC-CR#897326</a></td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>Февраль 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-3855</td>
   <td><a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=ab3f46119ca10de87a11fe966b0723c48f27acd4">
   QC-CR#990824</a></td>
   <td>Высокий</td>
   <td>Нет</td>
   <td>Май 2016 г.</td>
  </tr>
  <tr>
   <td>CVE-2016-2060</td>
   <td><a href="https://source.codeaurora.org/quic/la/platform/system/netd/commit/?id=e9925f5acb4401588e23ea8a27c3e318f71b5cf8">
   QC-CR#959631</a></td>
   <td>Средний</td>
   <td>Нет</td>
   <td>Апрель 2016 г.</td>
  </tr>
</tbody></table>
<h2 id="common-questions-and-answers">Часто задаваемые вопросы</h2>
<p>
В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.
</p>
<p>
<strong>1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?
</strong>
</p>
<p>
В исправлении от 1 августа 2016 года устранены все проблемы, связанные с обновлением 2016-08-01. В исправлении от 5 августа 2016 года или более новом устранены все проблемы, связанные с обновлением 2016-08-05. Информацию о том, как узнать дату последнего обновления системы безопасности, можно найти в <a href="https://support.google.com/nexus/answer/4457705">Справочном центре</a>. Производители устройств, позволяющие установить эти обновления, должны присвоить им уровень [ro.build.version.security_patch]:[2016-08-01] или [ro.build.version.security_patch]:[2016-08-05].
</p>
<p>
<strong>2. Почему в этом бюллетене говорится о двух обновлениях системы безопасности?</strong>
</p>
<p>
Мы включили в этот бюллетень сведения о двух обновлениях, чтобы помочь нашим партнерам как можно скорее устранить уязвимости, затрагивающие все устройства Android. Рекомендуем партнерам Android исправить все вышеперечисленные проблемы и установить последнее обновление системы безопасности.
</p>
<p>
На устройствах с установленным обновлением от 5 августа 2016 года или более новым должны быть исправлены все проблемы, упомянутые в этом бюллетене и предыдущих выпусках.
</p>
<p>
На устройствах с установленным обновлением от 1 августа 2016 года должны быть исправлены все проблемы, упомянутые в соответствующем разделе этого бюллетеня, а также в предыдущих выпусках. Кроме того, на них могут быть устранены некоторые уязвимости, исправленные в обновлении от 5 августа 2016 года.
</p>
<p>
<strong>3. Как определить, на каких устройствах Nexus присутствует уязвимость?</strong>
</p>
<p>
В каждой таблице разделов с описанием уязвимостей <a href="#2016-08-01-details">2016-08-01</a> и <a href="#2016-08-05-details">2016-08-05</a> есть столбец "Обновленные устройства Nexus".
В нем указано, на каких устройствах присутствует уязвимость.
</p>
<ul>
<li><strong>Все устройства.</strong> Проблема возникает на<em></em>
следующих <a href="https://support.google.com/nexus/answer/4457705#nexus_devices">поддерживаемых устройствах Nexus</a>: Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 7 (2013), Nexus 9, Android One, Nexus Player и Pixel C.</li>
<li><strong>Некоторые устройства.</strong> <em></em>Перечислены устройства, на которых присутствует уязвимость.</li>
<li><strong>Нет.</strong> Проблема не возникает ни на одном устройстве Nexus.<em></em>
</li>
</ul>
<p>
<strong>4. На что указывают записи в столбце "Ссылки"?</strong>
</p>
<p>
В таблицах с описанием уязвимостей есть столбец <em>Ссылки</em>. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:
</p>
<table>
  <tbody><tr>
   <th>Префикс</th>
   <th>Значение</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Идентификатор ошибки Android</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Ссылочный номер Qualcomm</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>Ссылочный номер MediaTek</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>Ссылочный номер NVIDIA</td>
  </tr>
</tbody></table>
<h2 id="revisions">Версии</h2>

<ul>
  <li>1 августа 2016 года. Бюллетень опубликован.</li>
  <li>2 августа 2016 года. Добавлены ссылки на AOSP.</li>
  <li>16 августа 2016 года. Идентификатор CVE-2016-3856 изменен на CVE-2016-2060 и обновлен URL ссылки.</li>
  <li>21 октября 2016 года. Исправлена опечатка в CVE-2016-4486.</li>
</ul>

</body></html>